Skip to main content
POST
Create Task Batch

Authorizations

Authorization
string
header
required

Clerk Machine API Key for authentication

Path Parameters

workspace_id
string
required
farm_id
string
required

Body

application/json
task_name
enum<string>
required

Reboot miner ASIC. Brief downtime. Use after firmware update or when miner is unresponsive.

Available options:
miner.system.reboot
miner_ids
string[]
required

Array of miner IDs to execute task on

Required array length: 1 - 1000 elements
params
object

Reboot parameters (optional).

Response

Successfully created task batches

success
boolean
required

Indicates if the request was successful

Example:

true

data
Miner Task Batch · object[]
required

Array of items

error
null
required

Error object (null on success)

Example:

null

meta
Create Task Batch Meta · object